Bug 462506 - loosing key-bindings after adding another layout
loosing key-bindings after adding another layout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 15:26 EDT by Michal Smukski
Modified: 2009-01-09 02:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:52:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Smukski 2008-09-16 15:26:56 EDT
Description of problem:
I added Polish kbd layout via system->preferences->Hardware->Keyboard->layout. This allows to type polish letters. After a while (seems days sometimes with multiple suspends) I lose ability to switch resolution (CTRL-ALT-+/-) and kill X-server (CTRL-ALT-BACK). I get it back when I go and reset the layout to the original position. I then add back Polish layout. Key bindings work again without rebooting or logging out or reloading x-server.

Version-Release number of selected component (if applicable):
Fedora-8

How reproducible:
The bug happens consistently every time but I don't know how to trigger it immediately.

Steps to Reproduce:
1. Add Polish layout via system->preferences->Hardware->Keyboard->layout
2. Wait a couple of days, maybe do a couple of suspends resumes 
3. I also use external monitor, so maybe switch a couple time between laptop+monitor
  
Actual results:
(CTRL-ALT-+/-) (CTRL-ALT-BACK) do not work.
Actually CTRL-ALT-+ works as zoom not as resolution change, x-reboot keybinds has no effect.

Expected results:
I expect to be able to switch between monitors+resolutions and kill X with the key combinations.

Additional info:
Comment 1 Vitezslav Crhonek 2008-09-17 05:44:45 EDT
I'm in doubt that this is kbd issue... Kbd package covers text console fonts and layouts only. This is X or GNOME related problem.
Comment 2 Vitezslav Crhonek 2008-10-16 04:19:09 EDT
Not a kbd bug. Changing component to xkeyboard-config (I hope it's right component). I'll stay in CC.
Comment 3 Peter Hutterer 2008-10-22 23:49:44 EDT
Michael, please run setxkbmap -print and xkbcomp :0 - when it works, and then both commands when it doesn't work. Please attach all 4 files here together with your xorg.conf and your Xorg.log.
Comment 4 Michal Smukski 2008-11-20 13:45:44 EST
Hi, 
I upgraded my system to Fedora9 and I can no longer reproduce the problem. Here is the output of the commands as requested but on the working system (Fedora9)

xkb_keymap {
	xkb_keycodes  { include "xfree86+aliases(qwerty)"	};
	xkb_types     { include "complete"	};
	xkb_compat    { include "complete"	};
	xkb_symbols   { include "pc+us+inet+inet(pc105)+pl:2+level3(ralt_switch_for_alts_toggle):2+group(alts_toggle)"	};
	xkb_geometry  { include "pc(pc105)"	};
};
[eda@mws ~]$ xkbcomp :0
[eda@mws ~]$ setxkbmap -print
xkb_keymap {
	xkb_keycodes  { include "xfree86+aliases(qwerty)"	};
	xkb_types     { include "complete"	};
	xkb_compat    { include "complete"	};
	xkb_symbols   { include "pc+us+inet+inet(pc105)+pl:2+level3(ralt_switch_for_alts_toggle):2+group(alts_toggle)"	};
	xkb_geometry  { include "pc(pc105)"	};
};
[eda@mws ~]$
Comment 5 Bug Zapper 2008-11-26 06:09:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:52:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.